<?php
/**
 * NameplatesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * NameplatesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class NameplatesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for addNameplateProducts
     *
     * Linking objects of Product to object of Nameplate.
     *
     */
    public function testAddNameplateProducts()
    {
    }

    /**
     * Test case for createNameplate
     *
     * Creating an object of Nameplate.
     *
     */
    public function testCreateNameplate()
    {
    }

    /**
     * Test case for deleteNameplate
     *
     * Deleting an object of Nameplate.
     *
     */
    public function testDeleteNameplate()
    {
    }

    /**
     * Test case for deleteNameplateProducts
     *
     * Deleting links between objects of Product and object of Nameplate.
     *
     */
    public function testDeleteNameplateProducts()
    {
    }

    /**
     * Test case for getNameplate
     *
     * Get the object of Nameplate by ID.
     *
     */
    public function testGetNameplate()
    {
    }

    /**
     * Test case for patchNameplate
     *
     * Patching an object of Nameplate.
     *
     */
    public function testPatchNameplate()
    {
    }

    /**
     * Test case for searchNameplates
     *
     * Search for objects of Nameplate.
     *
     */
    public function testSearchNameplates()
    {
    }
}
